export interface EventInterface {
  product: string;
  component: string;
  source?: string;
  brand_page_id?: number;
  stups_application_id?: number;
  session_id?: string;
  brand_id?: string;
  brand_display_name?: string;
  business_partner_id?: number;
  supplier_id?: string;
  sales_channel_id?: string;
  partner_id?: number;
  app_domain_id?: number;
}

export class Event implements EventInterface {
  product = '';
  component = '';

  constructor(data?: EventInterface) {
    Object.assign(this, data);
  }
}
