export default class TrackingError extends Error {
  static INVALID_EVENT: string = 'Invalid event. Missing one or more required parameter: event_name, product, source, component.';
  static NO_EVENT_TYPE: string = 'No event type was provided.';

  constructor(public message: string) {
    super(message);
    this.name = 'TrackingError';
  }
}
